数据提供商: DataForSEO
利用DataForSEO来总结与某个关键词相匹配的网站技术应用情况。
每次调用 $0.012 起在 30 秒内响应
输入一个关键字,可以选择将其进一步限定为某个技术组、类别或技术名称,然后系统会显示哪些技术被相关网站最常使用:每种技术会对应一行数据,其中会列出该技术所属的组、所属的类别,以及使用该技术的域名数量。每页最多 1,000 行。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/domain_analytics/technologies/aggregation_technologies/live on Glasser.bash
glasser run -p dataforseo -e '/v3/domain_analytics/technologies/aggregation_technologies/live' -i '{"keyword":"WordPress"}' --endpoint-version 7使用接口版本 7。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/domain_analytics/technologies/aggregation_technologies/live","input":{"keyword":"WordPress"},"endpoint_version":7}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 7,运行前请确认当前价格。
第 2 步尝试一个具体任务
规划新内容时,可以将关键词创意整理为相关主题,形成可执行的内容计划。
复制此提示词到你的 Agent,为内容计划分组关键词。
提示词
Use dataforseo:/v3/domain_analytics/technologies/aggregation_technologies/live on Glasser.
Group the returned keywords into topics I can use to plan content.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keyword"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"mode": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"group": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 10000,
"minimum": 1
},
"offset": {
"type": "integer",
"maximum": 9999,
"minimum": 0
},
"filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"category": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"order_by": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 3,
"description": "DataForSEO sorting rules, passed through unchanged: up to 3 \"field,asc\" or \"field,desc\" strings, using the same field names as filters."
},
"technology": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"internal_list_limit": {
"type": "integer"
},
"internal_groups_list_limit": {
"type": "integer"
},
"internal_categories_list_limit": {
"type": "integer"
},
"internal_technologies_list_limit": {
"type": "integer"
}
},
"additionalProperties": false
}json
{
"keyword": "WordPress"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.012 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.0012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $12.012 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |